org.apache.lucene.util

## Class TimeUnits

- java.lang.Object
- - org.apache.lucene.util.TimeUnits

-     public final class TimeUnits
      extends Object

  time unit constants for use in annotations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HOUR` 1 hour in milliseconds
    `static int` | `MINUTE` 1 minute in milliseconds
    `static int` | `SECOND` 1 second in milliseconds

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECOND

          public static final int SECOND

      1 second in milliseconds
      See Also:
        Constant Field Values

    - #### MINUTE

          public static final int MINUTE

      1 minute in milliseconds
      See Also:
        Constant Field Values

    - #### HOUR

          public static final int HOUR

      1 hour in milliseconds
      See Also:
        Constant Field Values

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.